Check a Transaction Status

Once the payment process is finished, you can check the transaction status with the Search transaction using transaction code endpoint. You can find a detailed diagram of the transaction status notification process below.

Status Notification Flow

Status Notification Flow

  1. PagSeguro → Merchant: PagSeguro notifies Merchant that a transaction status has changed.

  2. Merchant → PagSeguro: With the transaction code provided in the notification, the Merchant requests transaction information from PagSeguro.

  3. PagSeguro → Merchant: PagSeguro responds with transaction information.

Follow the steps below to check the transaction status.

Step 1: Receiving Status Change Notification

When the status of a transaction changes, you will receive a notification from PagSeguro through the URL provided in the integration.notification_url parameter.

POST https://www.merchantwebsite.com/notify?type=transaction HTTP/1.1
Content-Type: application/json
{
    "test_mode": false,
    "notification_type": "transaction",
    "transaction_code": "9DB1FAFB-C0E6-4184-822C-8F18B3D70321"
}

Firewall and allowlist settings

To receive notifications, you must allowlist:

  • 54.233.188.209
  • 18.228.56.27

Step 2: Requesting Transaction Information

With the transaction code provided in the transaction_code parameter, you can send a request to the Search transaction using transaction code endpoint. On a success, you will get a response with the updated information for that transaction, as in the example below.

Example Response:

{
    "code": "607AB17D-A404-435A-9735-928DA9722848",
    "status": "PENDING",
    "refundable": false,
    "integration": {
        "reference": "REF-123456",
        "store": 10,
        "project": 1,
        "notification_url": "https://webhook.merchant.site/"
    },
    "charge": {
        "country": "BR",
        "type": "EFT",
        "method": "PIX",
        "initiated_by": "CUSTOMER",
        "amount": {
            "currency": "BRL",
            "original": 1000,
            "total": 1035,
            "taxes": [
                {
                    "name": "IOF",
                    "rate": 3.5,
                    "amount": 35
                }
            ]
        }
    },
    "checkout": {
        "language": "pt_BR"
    },
    "payer": {
        "email": "[email protected]"
    },
    "order": {
        "currency": "BRL",
        "date": "2026-06-25T18:24:46Z",
        "items": [
            {
                "quantity": 1,
                "description": "Product description",
                "unit_price": 1000
            }
        ]
    },
    "refunds": [],
    "payment": {
        "type": "EFT",
        "method": "PIX"
    }
}
{
    "code": "BCDA1B6C-0CAF-4D2D-AF52-7FAE8590E2C9",
    "status": "COMPLETE",
    "refundable": true,
    "integration": {
        "reference": "REF-123456",
        "store": 10,
        "project": 1,
        "notification_url": "https://webhook.merchant.site/"
    },
    "charge": {
        "country": "BR",
        "type": "CREDIT_CARD",
        "method": "MASTERCARD",
        "credit_card": {
            "installments": 1,
            "bin": "524008",
            "last_four": "2454",
            "expiration_date": "2026-12"
        },
        "initiated_by": "CUSTOMER",
        "amount": {
            "currency": "BRL",
            "original": 1000,
            "total": 1035,
            "taxes": [
                {
                    "name": "IOF",
                    "rate": 3.5,
                    "amount": 35
                }
            ]
        }
    },
    "checkout": {
        "language": "pt_BR"
    },
    "payer": {
        "email": "[email protected]"
    },
    "order": {
        "currency": "BRL",
        "date": "2026-06-24T23:39:53Z",
        "items": [
            {
                "quantity": 1,
                "description": "Product description",
                "unit_price": 1000
            }
        ]
    },
    "refunds": [],
    "payment": {
        "type": "CREDIT_CARD",
        "method": "MASTERCARD"
    }
}
{
    "code": "34B84079-9B59-4903-A573-EDD07A1CA870",
    "status": "REFUNDED",
    "refundable": true,
    "integration": {
        "reference": "REF-123456",
        "store": 10,
        "project": 1,
        "notification_url": "https://webhook.merchant.site/"
    },
    "charge": {
        "country": "BR",
        "type": "EFT",
        "method": "PIX",
        "initiated_by": "CUSTOMER",
        "amount": {
            "currency": "BRL",
            "original": 10.35,
            "total": 10.35
        }
    },
    "checkout": {
        "language": "pt_BR"
    },
    "payer": {
        "email": "[email protected]"
    },
    "order": {
        "currency": "BRL",
        "date": "2026-06-15T12:52:46Z",
        "items": [
            {
                "quantity": 1,
                "description": "Product description",
                "unit_price": 10.35
            }
        ]
    },
    "refunds": [
        {
            "id": 1687521,
            "reference": null,
            "status": "PROCESSED",
            "amount": 10.35,
            "date": "2026-06-15T12:54:54Z",
            "processing_date": "2026-06-15T03:00:00Z"
        }
    ],
    "payment": {
        "type": "EFT",
        "method": "PIX"
    }
}
{
    "code": "F611543E-5A1F-4221-B09C-8ECD3D969201",
    "status": "NOT-PAID",
    "refundable": false,
    "integration": {
        "reference": "REF-123456",
        "store": 10,
        "project": 1,
        "notification_url": "https://webhook.merchant.site/"
    },
    "charge": {
        "country": "BR",
        "type": "CREDIT_CARD",
        "method": "MASTERCARD",
        "payment_response": {
            "code": 10000,
            "message": "not authorized by acquirer"
        },
        "credit_card": {
            "installments": 1,
            "bin": "555566",
            "last_four": "8884",
            "expiration_date": "2027-12"
        },
        "initiated_by": "CUSTOMER",
        "amount": {
            "currency": "BRL",
            "original": 1000,
            "total": 1035,
            "taxes": [
                {
                    "name": "IOF",
                    "rate": 3.5,
                    "amount": 35
                }
            ]
        }
    },
    "checkout": {
        "language": "pt_BR"
    },
    "payer": {
        "email": "[email protected]"
    },
    "order": {
        "currency": "BRL",
        "date": "2026-06-25T18:25:26Z",
        "items": [
            {
                "quantity": 1,
                "description": "Product description",
                "unit_price": 1000
            }
        ]
    },
    "refunds": [],
    "payment": {
        "type": "CREDIT_CARD",
        "method": "MASTERCARD"
    },
    "status_reason": {
        "code": 10000,
        "message": "not authorized by acquirer"
    }
}
{
    "code": "888F7834-11C1-45F8-8DFB-D29F7AE8B1C8",
    "status": "CANCELLED",
    "refundable": true,
    "integration": {
        "reference": "REF-123456",
        "store": 10,
        "project": 1,
        "notification_url": "https://webhook.merchant.site/"
    },
    "charge": {
        "country": "BR",
        "type": "CREDIT_CARD",
        "method": "MASTERCARD",
        "payment_response": {
            "code": 10074,
            "message": "Payer information invalid"
        },
        "credit_card": {
            "installments": 1,
            "bin": "555566",
            "last_four": "8884",
            "expiration_date": "2026-12"
        },
        "initiated_by": "CUSTOMER",
        "amount": {
            "currency": "BRL",
            "original": 1000,
            "total": 1000
        }
    },
    "checkout": {
        "language": "pt_BR"
    },
    "payer": {
        "email": "[email protected]"
    },
    "order": {
        "currency": "BRL",
        "date": "2026-06-25T19:02:38Z",
        "items": [
            {
                "quantity": 1,
                "description": "Product description",
                "unit_price": 1000
            }
        ]
    },
    "refunds": [],
    "payment": {
        "type": "CREDIT_CARD",
        "method": "MASTERCARD"
    },
    "status_reason": {
        "code": 10074,
        "message": "Payer information invalid"
    }
}

Once PagSeguro responds to the transaction with the status COMPLETE, you can deliver the purchase to the End User.

Renotification

If PagSeguro does not receive a satisfactory response from the Merchant (200 OK) in the first request, the notification enters a retry flow over 5 days. The interval of retry increases exponentially over these days. If the Merchant does not respond within this range of days with a 200 OK status code, then the notification is expired.